@if (componentData) {
  <div class="test-case-import-grid p-4">
    <label class="label label__align_right">{{
      'sqtm-core.test-case-workspace.dialog.field.format' | translate
    }}</label>
    <div class="flex-column">
      <nz-select
        [attr.data-test-field-name]="'format'"
        [ngModel]="componentData.format"
        (ngModelChange)="changeFormat($event)"
      >
        @for (format of initializeImportFormat(); track format) {
          <nz-option
            [nzLabel]="format.label"
            [nzValue]="format.id"
            nzCustomContent
            >{{ format.label }}</nz-option
          >
        }
      </nz-select>
      @if (componentData.format === 'XLS') {
        <span class="format-message">{{
          'sqtm-core.test-case-workspace.dialog.message.import-xls' | translate
        }}</span>
        <a
          [href]="
            './assets/sqtm-core/templates/import/test-case_import_template_xls.xls'
          "
          download="test-case_import_template_xls.xls"
          >{{
            'sqtm-core.test-case-workspace.dialog.message.download-xls-template'
              | translate
          }}</a
        >
      } @else {
        <span class="format-message">{{
          'sqtm-core.test-case-workspace.dialog.message.import-zip' | translate
        }}</span>
        <a
          [href]="'./assets/sqtm-core/templates/import/' + getTemplateZip()"
          [download]="getTemplateZip()"
          >{{
            'sqtm-core.test-case-workspace.dialog.message.download-zip-template'
              | translate
          }}</a
        >
      }
    </div>
    @if (componentData.format === 'ZIP') {
      <label class="label label__align_right">{{
        'sqtm-core.test-case-workspace.dialog.field.target-project' | translate
      }}</label>
      <nz-select
        [attr.data-test-field-name]="'project'"
        [ngModel]="componentData.selectedProject"
        (ngModelChange)="changeSelectedProject($event)"
      >
        @for (project of componentData.projects; track project) {
          <nz-option
            [nzLabel]="project.name"
            [nzValue]="project.id"
            nzCustomContent
            >{{ project.name }}</nz-option
          >
        }
      </nz-select>
    }
    <label class="label label__align_right">{{
      'sqtm-core.test-case-workspace.dialog.field.file' | translate
    }}</label>
    <div class="flex-column" style="margin: auto 0 auto 0">
      <sqtm-core-attachment-file-selector
        [displayButton]="true"
        [multiple]="false"
        (uploadFilesEvent)="addAttachment($event)"
        [restrictionFiles]="getRestrictionFiles(componentData)"
      >
        {{
          componentData.file
            ? componentData.file.name
            : ('sqtm-core.dialog.no-file-selected' | translate)
        }}
      </sqtm-core-attachment-file-selector>
      @if (wrongFileFormat) {
        <span class="sqtm-core-error-message">{{
          getWrongFileKey(componentData) | translate
        }}</span>
      }
    </div>
    <label class="label label__align_right">{{
      'sqtm-core.test-case-workspace.dialog.field.encoding.label' | translate
    }}</label>
    <nz-select
      [attr.data-test-field-name]="'encoding'"
      [ngModel]="componentData.encoding"
      (ngModelChange)="changeEncoding($event)"
    >
      @for (encoding of initializeEncoding(); track encoding) {
        <nz-option
          [nzLabel]="encoding.label"
          [nzValue]="encoding.id"
          nzCustomContent
          >{{ encoding.label }}</nz-option
        >
      }
    </nz-select>
  </div>
}
